export const defaultItemImg = {
  weapon: "systems/fvtt-lethal-fantasy/assets/icons/icon_weapon.webp",
  armor: "systems/fvtt-lethal-fantasy/assets/icons/icon_armor.webp",
  equipment: "systems/fvtt-lethal-fantasy/assets/icons/icon_equipment.webp",
  skill: "systems/fvtt-lethal-fantasy/assets/icons/icon_skill.webp",
  gift: "systems/fvtt-lethal-fantasy/assets/icons/icon_gift.webp",
  invulnerability: "systems/fvtt-lethal-fantasy/assets/icons/icon_invulnerability.webp",
  shield: "systems/fvtt-lethal-fantasy/assets/icons/icon_shield.webp",
  spell: "systems/fvtt-lethal-fantasy/assets/icons/icon_spell.webp"
}

export default class LethalFantasyItem extends Item {
  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }
}
