import LethalFantasyItemSheet from "./base-item-sheet.mjs"

export default class LethalFantasyMiracleSheet extends LethalFantasyItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["miracle"],
    position: {
      width: 450,
    },
    window: {
      contentClasses: ["miracle-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-lethal-fantasy/templates/miracle.hbs",
    },
  }
}
